Summary: Apache Ant
Name: ant
Version: 1.10.10
Release: 1
License: Apache-2.0
URL: https://ant.apache.org/

Source0: https://archive.apache.org/dist/%{name}/binaries/apache-ant-%{version}-bin.tar.bz2

BuildRequires: /QOpenSys/pkgs/bin/tar
BuildRequires: /QOpenSys/pkgs/bin/perl

%description
Apache Ant is a Java library and command-line tool whose mission is to drive 
processes described in build files as targets and extension points dependent 
upon each other. The main known usage of Ant is the build of Java applications.
Ant supplies a number of built-in tasks allowing to compile, assemble, test and
run Java applications. Ant can also be used effectively to build non Java 
applications, for instance C or C++ applications.


%package doc
Summary: Ant documentation files
Requires: %{name} = %{version}-%{release}

%description doc
Documentation files for Apache Ant

%prep

%setup -n apache-%{name}-%{version}

%install
rm -rf %{buildroot}/*
mkdir -p %{buildroot}%{_libdir}/%{name}
mv * %{buildroot}%{_libdir}/%{name}

echo fixing up perl and python paths
mkdir -p %{buildroot}%{_bindir}
cd %{buildroot}%{_libdir}/%{name}/bin/
rm -f *.cmd *.bat
/QOpenSys/pkgs/bin/perl -p -i -e 's|/usr/bin/python|/QOpenSys/pkgs/bin/python3|g' *.py
/QOpenSys/pkgs/bin/perl -p -i -e 's|/usr/bin/perl|/QOpenSys/pkgs/bin/perl|g' *.pl

echo creating global symbolic links
cd %{buildroot}%{_bindir}
ln -s %{_libdir}/%{name}/bin/antRun
ln -s %{_libdir}/%{name}/bin/ant
ln -s %{_libdir}/%{name}/bin/runant.py

%files
%defattr(-, qsys, *none)
%{_libdir}/%{name}/CONTRIBUTORS
%{_libdir}/%{name}/INSTALL
%{_libdir}/%{name}/KEYS
%{_libdir}/%{name}/LICENSE
%{_libdir}/%{name}/NOTICE
%doc %{_libdir}/%{name}/WHATSNEW
%{_libdir}/%{name}/bin/
%{_libdir}/%{name}/etc/
%{_libdir}/%{name}/*.xml
%{_libdir}/%{name}/lib/
%doc %{_libdir}/%{name}/README
%{_bindir}/ant*
%{_bindir}/runant*

%files doc
%defattr(-, qsys, *none)
%doc %{_libdir}/%{name}/manual

%changelog
* Tue Jun 01 2021 Mark Irish <mirish@ibm.com> - 1.10.10
- Bump to version 1.10.10
- Change source host URL to official archive that doesn't drop old versions

* Wed May 15 2019 Jesse Gorzinski <jgorzins@us.ibm.com> 1.10.5
- Initial RPM release
